"""

Revision ID: b5a8321f162e
Revises: f1cee35b797f
Create Date: 2021-09-11 16:17:42.072292

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "b5a8321f162e"
down_revision = "0fe559a4f0d9"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "ammunition",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("brand", sa.String(), nullable=True),
        sa.Column("owner_id", sa.Integer(), nullable=True),
        sa.ForeignKeyConstraint(
            ["owner_id"],
            ["user.id"],
        ),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_index(op.f("ix_ammunition_id"), "ammunition", ["id"], unique=False)
    op.create_table(
        "shootserie",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("date", sa.Date(), nullable=True),
        sa.Column("remark", sa.String(), nullable=True),
        sa.Column("owner_id", sa.Integer(), nullable=True),
        sa.ForeignKeyConstraint(
            ["owner_id"],
            ["user.id"],
        ),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_index(op.f("ix_shootserie_id"), "shootserie", ["id"], unique=False)
    op.create_table(
        "weapon",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("caliber", sa.Integer(), nullable=True),
        sa.Column("name", sa.String(), nullable=True),
        sa.Column("owner_id", sa.Integer(), nullable=True),
        sa.ForeignKeyConstraint(
            ["owner_id"],
            ["user.id"],
        ),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_index(op.f("ix_weapon_id"), "weapon", ["id"], unique=False)
    op.create_table(
        "shootexercice",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("remark", sa.String(), nullable=True),
        sa.Column("distance", sa.Integer(), nullable=True),
        sa.Column("shootserie_id", sa.Integer(), nullable=True),
        sa.ForeignKeyConstraint(
            ["shootserie_id"],
            ["shootserie.id"],
        ),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_index(op.f("ix_shootexercice_id"), "shootexercice", ["id"], unique=False)
    op.create_table(
        "image",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("filename", sa.String(), nullable=True),
        sa.Column("width", sa.Integer(), nullable=True),
        sa.Column("height", sa.Integer(), nullable=True),
        sa.Column("shootexercice_id", sa.Integer(), nullable=True),
        sa.ForeignKeyConstraint(
            ["shootexercice_id"],
            ["shootexercice.id"],
        ),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_index(op.f("ix_image_id"), "image", ["id"], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f("ix_image_id"), table_name="image")
    op.drop_table("image")
    op.drop_index(op.f("ix_shootexercice_id"), table_name="shootexercice")
    op.drop_table("shootexercice")
    op.drop_index(op.f("ix_weapon_id"), table_name="weapon")
    op.drop_table("weapon")
    op.drop_index(op.f("ix_shootserie_id"), table_name="shootserie")
    op.drop_table("shootserie")
    op.drop_index(op.f("ix_ammunition_id"), table_name="ammunition")
    op.drop_table("ammunition")
    # ### end Alembic commands ###
